curl --request PATCH \
--url https://api.example.com/v1/workspaces/{workspace_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sqlDefaults": {
"defaultCatalog": "<string>",
"defaultSchema": "<string>"
},
"name": "",
"revision": 0,
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.example.com/v1/workspaces/{workspace_id}"
payload = {
"sqlDefaults": {
"defaultCatalog": "<string>",
"defaultSchema": "<string>"
},
"name": "",
"revision": 0,
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sqlDefaults: {defaultCatalog: '<string>', defaultSchema: '<string>'},
name: '',
revision: 0,
createTime: '2023-11-07T05:31:56Z',
updateTime: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.example.com/v1/workspaces/{workspace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"sqlDefaults": {
"defaultCatalog": "<string>",
"defaultSchema": "<string>"
},
"revision": "0",
"createTime": "<string>",
"updateTime": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Update Workspace
Authorizations
An API key or OAuth2/OIDC access token sent as Authorization: Bearer <token>.
Path Parameters
Query Parameters
Body
The singleton SQL data environment owned by an organization.
Connectors and catalogs are direct child resources. Catalogs without a
relational source own schemas, and schemas without one own tables. Any
mutation to the defaults or an owned child advances revision.
SQL defaults applied before constructing a query session.
Show child attributes
Show child attributes
Resource name in the form workspaces/{workspace}.
^workspaces/[a-z0-9](?:[a-z0-9._~-]*[a-z0-9])?$Monotonically increasing version of the complete workspace state.
Time at which the workspace was created.
Time at which the workspace was most recently updated.
Response
Successful Response
The singleton SQL data environment owned by an organization.
Connectors and catalogs are direct child resources. Catalogs without a
relational source own schemas, and schemas without one own tables. Any
mutation to the defaults or an owned child advances revision.
Resource name in the form workspaces/{workspace}.
^workspaces/[a-z0-9](?:[a-z0-9._~-]*[a-z0-9])?$SQL defaults applied before constructing a query session.
Show child attributes
Show child attributes
Monotonically increasing version of the complete workspace state.
Time at which the workspace was created.
Time at which the workspace was most recently updated.